Bug 426327 - [QLogic 5.2 bug] qla2xxx: regression fix for infinite-login-retry fix
Summary: [QLogic 5.2 bug] qla2xxx: regression fix for infinite-login-retry fix
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: beta
: ---
Assignee: Marcus Barrow
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: OtherQA, Regression
Depends On:
Blocks: 216992
TreeView+ depends on / blocked
 
Reported: 2007-12-20 02:43 UTC by Marcus Barrow
Modified: 2009-06-20 01:58 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-05-21 15:04:53 UTC


Attachments (Terms of Use)
login retry loopid fix (1021 bytes, patch)
2007-12-20 02:44 UTC, Marcus Barrow
no flags Details | Diff
login retry loopid fix (905 bytes, patch)
2007-12-20 02:54 UTC, Marcus Barrow
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0314 normal SHIPPED_LIVE Updated kernel packages for Red Hat Enterprise Linux 5.2 2008-05-20 18:43:34 UTC

Description Marcus Barrow 2007-12-20 02:43:00 UTC
A fix was introduced in September to prevent infinite login retries.
As no good deed goes unpunished this fix introduced a bug where the
HBA's loop address could be cleared when the re-login was successful.

The fix checks to make sure that the loop address is only cleared when
the re-login fails.

This patch is tested at QLogic and is in queue to be submitted upstream.

Comment 1 Marcus Barrow 2007-12-20 02:44:05 UTC
Created attachment 290112 [details]
login retry loopid fix

Comment 2 Marcus Barrow 2007-12-20 02:54:43 UTC
Created attachment 290118 [details]
login retry loopid fix

New patch, identical code, but corrected explanation for rhkernel-list.

Comment 5 Don Zickus 2008-01-21 17:30:19 UTC
in 2.6.18-71.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 7 John Poelstra 2008-03-21 03:53:48 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot1--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you

Comment 8 John Poelstra 2008-04-02 21:35:56 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot3--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you


Comment 9 John Poelstra 2008-04-09 22:42:48 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot4--available now on partners.redhat.com.  

Please test and confirm that your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you


Comment 10 John Poelstra 2008-04-23 17:40:41 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot6--available now on partners.redhat.com.  

We are nearing GA for 5.2 so please test and confirm that your issue is fixed ASAP.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you


Comment 11 John Poelstra 2008-05-01 16:50:47 UTC
Greetings Red Hat Partner,

A fix for this issue should be included in the latest packages contained in
RHEL5.2-Snapshot7--available now on partners.redhat.com.  

We are nearing GA for 5.2--this is the last opportunity to test and confirm that
your issue is fixed.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to ASSIGNED.

If you are receiving this message in Issue Tracker, please reply with a message
to Issue Tracker about your results and I will update bugzilla for you.  If you
need assistance accessing ftp://partners.redhat.com, please contact your Partner
Manager.

Thank you

Comment 12 Mike Gahagan 2008-05-05 16:46:44 UTC
confirmed fix is in the -92.el5 kernel

Comment 14 errata-xmlrpc 2008-05-21 15:04:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html



Note You need to log in before you can comment on or make changes to this bug.